Skip to main content
PUT
/
{alias}
/
catalog
/
feeds
/
{id}
Atualizar feed
curl --request PUT \
  --url https://api.dooki.com.br/v2/{alias}/catalog/feeds/{id} \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "service": "google",
  "name": "ecd73150-e747-11e7-9221-0361c8d4d388",
  "url": "https://bubbstore.com/xml/ecd73150-e747-11e7-9221-0361c8d4d388.xml"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/feeds/{id}"

payload = {
"service": "google",
"name": "ecd73150-e747-11e7-9221-0361c8d4d388",
"url": "https://bubbstore.com/xml/ecd73150-e747-11e7-9221-0361c8d4d388.xml"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
service: 'google',
name: 'ecd73150-e747-11e7-9221-0361c8d4d388',
url: 'https://bubbstore.com/xml/ecd73150-e747-11e7-9221-0361c8d4d388.xml'
})
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/feeds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "collection_id": 123,
  "service": "google",
  "name": "ecd73150-e747-11e7-9221-0361c8d4d388",
  "url": "https://bubbstore.com/xml/file-name.xml"
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID do feed

Body

application/json

Representa os dados necessários para criar ou atualizar um feed

service
string
required
Example:

"google"

name
string
required
Example:

"ecd73150-e747-11e7-9221-0361c8d4d388"

url
string<url>
required
Example:

"https://bubbstore.com/xml/ecd73150-e747-11e7-9221-0361c8d4d388.xml"

Response

Feed atualizado com sucesso

Representa um feed do catálogo

id
integer
collection_id
integer
service
string
Example:

"google"

name
string
Example:

"ecd73150-e747-11e7-9221-0361c8d4d388"

url
string<uri>
Example:

"https://bubbstore.com/xml/file-name.xml"